# $Revision: 1.14 $, $Date: 2012/03/13 20:25:18 $
%define		plugin		include
Summary:	DokuWiki Include Plugin
Summary(pl.UTF-8):	Wtyczka Include (dołączania) dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20110821
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://github.com/dokufreaks/plugin-%{plugin}/tarball/master#/%{plugin}-%{version}.tgz
# Source0-md5:	a729d41cce862c75a95e3570287546bd
URL:		http://www.dokuwiki.org/plugin:include
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20080505
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		dokudata	/var/lib/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This is a very simple yet handy plugin with which you can include
another wiki page into the current one.

%description -l pl.UTF-8
To jest bardzo prosta, ale pomocna wtyczka, przy pomocy której można
dołączyć inną stronę wiki do bieżącej.

%prep
%setup -qc
mv *-%{plugin}-*/* .

version=$(awk '/date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/{COPYING,README}
%{__rm} -r $RPM_BUILD_ROOT%{plugindir}/_test

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%triggerpostun -- %{name} < 20110821
# http://www.dokuwiki.org/plugin:include says:
# It is recommended to delete all cache files in <dokuwiki>/data/cache directly
# after upgrading the plugin from an old version (before 2011)
# seems doku cache is one letter hex subdirs. nuke those
rm -rf %{dokudata}/cache/?

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.php
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/conf
%{plugindir}/images
%{plugindir}/syntax

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-plugin-include.spec,v $
Revision 1.14  2012/03/13 20:25:18  glen
- up to 20110821

Revision 1.13  2010/12/14 17:36:08  glen
- 20101127 snapshot older n/a

Revision 1.12  2010/12/14 17:10:58  glen
- up to 20101002, fixes include bug with dw-20101107

Revision 1.11  2010/09/29 07:16:56  glen
- up to 20091127

Revision 1.10  2009/02/12 09:59:06  glen
- update url

Revision 1.9  2009/01/28 14:29:12  glen
- refresh dw cache on install

Revision 1.8  2008/09/19 14:44:47  duddits
- fixed URL

Revision 1.7  2008/07/22 11:53:01  glen
- update to 20080707

Revision 1.6  2008-05-08 11:23:25  glen
- unify; rel 1

Revision 1.5  2008-03-03 15:22:20  glen
- add odt plugin support

Revision 1.4  2008-01-11 17:52:04  qboosh
- pl

Revision 1.3  2008-01-08 14:04:56  glen
- use %lang

Revision 1.2  2007/09/07 10:23:16  glen
- typos

Revision 1.1  2007/09/07 09:54:42  glen
- new
